/**
 * Styles for the AccordionItem component.
 * @constant {object}
 */
export declare const styles: {
    /**
     * Styles for the container that wraps the entire AccordionItem.
     * @type {object}
     */
    container: {
        width: string;
        padding: string;
        borderRadius: number;
        backgroundColor: string;
        marginBottom: string;
        overflow: "hidden";
    };
    /**
     * Styles for the title text within the AccordionItem.
     * @type {object}
     */
    title: {
        fontSize: number;
        color: string;
        fontWeight: "bold";
    };
    /**
     * Styles for the body content within the AccordionItem.
     * @type {object}
     */
    body: {
        paddingHorizontal: string;
        paddingVertical: string;
    };
    /**
     * Styles for the container of the title and optional icon.
     * @type {object}
     */
    titleContainer: {
        flexDirection: "row";
        alignItems: "center";
        justifyContent: "space-between";
    };
};
